Orange Forum • View topic - Support for Python 2.4

Support for Python 2.4

Discussions about new ideas and features you would like to see in Orange.
(Archived/read-only, please use our ticketing system for your wishes and their discussion.)
Forum rules
(Archived/read-only, please use our ticketing system for your wishes and their discussion.)

Support for Python 2.4

Postby steve.miller@openbi.biz » Fri Apr 21, 2006 20:28

When can we expect to see support for Python 2.4?

Re: Support for Python 2.4

Postby vim » Sun Apr 23, 2006 2:48

steve.miller@openbi.biz wrote:When can we expect to see support for Python 2.4?

as i know, heros are waiting for the release of pyqt4, and from
http://www.riverbankcomputing.co.uk/pyqt/
give us the info
2006/04/21 15:45:30 phil
Completed the documentation for the beta version.
Fixed the correct GUI/console Python interpreter to use on MacOS and Windows.
and
Development snapshots of PyQt v4 are available. A final release is expected around during April 2006.

maybe wo should be some patient even the new version is so attracting that i have it serval times in dreaming.

Postby Janez » Tue May 30, 2006 12:08

Didn't help, the new PyQt misses some crucial classes. Here's a short FAQ. A colleague at the next desk is just cursing sip 3.8 which is supposed to be compatible with Qt 2.3, so that we could prepare the PyQt binaries for Py 2.4 ... It's a huge version mess. If anybody can help, he's welcome...


Return to Wish List



cron